function DATAinsert = cellMakerIPL(IDcentralina,DTcatena,NodeNum,cIPL,ListaDate,...
                ErrInPlaceLink,ARRAYdateIPL,X_IPL,Y_IPL,Z_IPL,Xlocal_IPL,...
                Ylocal_IPL,Zlocal_IPL,HShift_IPL,HShift_local_IPL,...
                AlfaX_IPL,AlfaY_IPL,Azimuth_IPL,TempDef_IPL,Speed_IPL,...
                Speed_local_IPL,Acceleration_IPL,Acceleration_local_IPL)

TempDef_IPL = TempDef_IPL';
l = ListaDate;
DATAinsert = cell(l,22);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateIPL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateIPL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X_IPL(cIPL,ii);
    DATAinsert{ii,7} = Y_IPL(cIPL,ii);
    DATAinsert{ii,8} = Z_IPL(cIPL,ii);
    DATAinsert{ii,9} = Xlocal_IPL(cIPL,ii);
    DATAinsert{ii,10} = Ylocal_IPL(cIPL,ii);
    DATAinsert{ii,11} = Zlocal_IPL(cIPL,ii);
    DATAinsert{ii,12} = HShift_IPL(cIPL,ii);
    DATAinsert{ii,13} = HShift_local_IPL(cIPL,ii);
    DATAinsert{ii,14} = Azimuth_IPL(cIPL,ii); 
    DATAinsert{ii,15} = TempDef_IPL(cIPL,ii);
    DATAinsert{ii,16} = Speed_IPL(cIPL,ii);
    DATAinsert{ii,17} = Speed_local_IPL(cIPL,ii);
    DATAinsert{ii,18} = Acceleration_IPL(cIPL,ii);
    DATAinsert{ii,19} = Acceleration_local_IPL(cIPL,ii);
    DATAinsert{ii,20} = ErrInPlaceLink(cIPL,ii);
    DATAinsert{ii,21} = AlfaX_IPL(cIPL,ii);
    DATAinsert{ii,22} = AlfaY_IPL(cIPL,ii);
end

end